> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kodostatus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Template

> Retrieve the custom HTML template for a status page

## Path Parameters

<ParamField path="id" type="string" required>
  The status page ID
</ParamField>

## Response

<ResponseField name="template" type="string">
  The custom HTML template content
</ResponseField>

<ResponseField name="updated_at" type="string">
  ISO 8601 timestamp of the last template update
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://kodostatus.com/api/v1/status-pages/550e8400-e29b-41d4-a716-446655440000/template" \
    -H "X-API-Key: your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "template": "<div class=\"status-header\">{{page.name}}</div>...",
    "updated_at": "2026-02-20T14:30:00.000Z"
  }
  ```
</ResponseExample>
